<?php

/**
 * This project has been generated by worker generator
 * has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 * check out my github @dekaulitz
 */

use Illuminate\Http\Request;

Route::get("page-not-found", function () {
    return view("error.page_not_found", ["title" => "Page Not Found"]);
});
Route::get("browser-redirect", function () {
    return view("error.redirect_browser", ["title" => "Please use Chrome browser!"]);
});
Route::post("/api/syncronize", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->synchronize($request);
});

Route::post("/api/sync_account", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalAccount($request);
});
Route::post("/api/sync_kapal", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalKapal($request);
});
Route::post("/api/sync_users", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalUsers($request);
});
Route::post("/api/sync_roles", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalRole($request);
});
Route::post("/api/sync_item", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalItem($request);
});

Route::post("/api/sync_adjustment", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getAdjustment($request);
});

Route::post("/api/sync_adjustmentlog", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getAdjustmentLog($request);
});

Route::post("/api/sync_lokasi_item", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalLokasiItems($request);
});
Route::post("/api/sync_menu", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalAdministratorMenu($request);
});
Route::post("/api/sync_group_access", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalGroupAccess($request);
});
Route::post("/api/sync_po", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalPoPenerimaan($request);
});
Route::post("/api/sync_po_item", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncFromKapalItemPO($request);
});
Route::post("/api/sync_po_io", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromPoPenerimaanIO($request);
});
Route::post("/api/sync_po_io_item", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncFromKapalItemPenerimaanIO($request);
});
Route::post("/api/sync_voyages", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncFromKapalVoyages($request);
});
Route::post("/api/sync_item_onhand", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncKapalItemOnHand($request);
});
Route::post("/api/sync_role_lokasiitem", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalRoleLokasiItem($request);
});
Route::post("/api/sync_role_category", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalRoleCategory($request);
});
Route::post("/api/sync_kapal_lokasiitem", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalKapalLokasiItem($request);
});
Route::post("/api/sync_itemcategory", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalItemCategory($request);
});
Route::post("/api/sync_system_parameter", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncDataFromKapalSystemParameter($request);
});

Route::post("/api/sync_error_po", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncErrorsFromKapalPoPenerimaan($request);
});
Route::post("/api/sync_error_po_io", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncErrorsFromPoPenerimaanIO($request);
});
Route::post("/api/sync_error_voyages", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncErrorsFromKapalVoyages($request);
});
Route::post("/api/sync_error_item", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->getSyncErrorsFromKapalItem($request);
});

Route::post("/api/syncronize/bulk", function (Request $request) {
    $controller = new \App\Http\Controllers\Api\SyncApiController();
    return $controller->syncBulk($request);
});

Route::get("/", function (Request $request) {
    $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
    return $controller->login($request);
});

Route::group(["middleware" => "auth", "prefix" => "administrator"], function () {
    Route::get("/", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorDashboardController();
        return $controller->dashboard();
    });
    Route::get("/login", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->login($request);
    });
    Route::post("/login", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->login($request);
    });
    Route::get("/logout", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->logout();
    });
    Route::get("/profile", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->profile($request);
    });
    Route::put("/profile", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->profile($request);
    });
    Route::get("/recovery", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->recovery($request);
    });
    Route::post("/recovery", function (Request $request) {
        $controller = new \App\Http\Controllers\Administrator\AdministratorAuthController();
        return $controller->recovery($request);
    });
    Route::group(["prefix" => "activitylog"], function () {
        /* Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->create();
        }); */
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->show($id);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ActivitylogController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "logsync"], function () {
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\LogsyncController($request);
            return $controller->paging($request);
        });
    });
    Route::group(["prefix" => "syncerror"], function () {
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\SyncerrorController($request);
            return $controller->paging($request);
        });
    });
    Route::group(["prefix" => "manualsync"], function () {
        Route::get("/synckapal", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ManualsyncController($request);
            return $controller->syncKapal($request);
        });
        Route::get("/syncho", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ManualsyncController($request);
            return $controller->syncHO($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ManualsyncController($request);
            return $controller->paging($request);
        });
    });
    Route::group(["prefix" => "pendingsync"], function () {
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PendingsyncController($request);
            return $controller->paging($request);
        });
    });
    /* Route::group(["prefix" => "itempemakaianstok"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempemakaianstokController();
            return $controller->edit($id);
        });
    }); */
    /* Route::group(["prefix" => "itempindahstokkapal"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempindahstokController();
            return $controller->edit($id);
        });
    }); */
    /* Route::group(["prefix" => "notifications"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\NotificationsController();
            return $controller->edit($id);
        });
    }); */
    Route::group(["prefix" => "permintaanbarang"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/getFutureVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getFutureVoyages($request);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->search($request);
        });

        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->create($request);
        });
        /* Route::get("/generateSPB/{id}", function (Request $request, $ID) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->generateSPB($request, $ID);
        }); */
        Route::post("/generateSPB", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->generateSPBPost($request);
        });
        /* Route::get("/foodPDF/{id}", function (Request $request, $ID) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->foodPDF($request, $ID);
        }); */
        Route::post("/foodPDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->foodPDFPost($request);
        });
        Route::post("/generateBBM", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->generateBBM($request);
        });
        Route::get("/approval/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->approval($request, $id);
        });
        Route::post("/approval", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->saveApproval($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->store($request);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "systemparameter"], function () {
        /* Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->create();
        }); */
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->update($request, $id);
        });
        /* Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->store($request);
        }); 
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->destroy($ids);
        }); */
        Route::get("/{id}/edit", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\SystemparameterController();
            return $controller->edit($request, $id);
        });
    });
    /* Route::group(["prefix" => "itempenerimaanbarang"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempenerimaanbarangController();
            return $controller->edit($id);
        });
    }); */
    Route::group(["prefix" => "kapal"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->show($id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->store($request);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\KapalController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "transferio"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/getKapalSubInv", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->getKapalSubInv($request);
        });

        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->create($request);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->search($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->paging($request);
        });
        Route::get("/approval/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->approval($request, $id);
        });
        Route::post("/approval", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->saveApproval($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->store($request);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\TransferioController();
            return $controller->edit($id);
        }); */
    });
    /* Route::group(["prefix" => "approver"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ApproverController();
            return $controller->edit($id);
        });
    }); */
    /* Route::group(["prefix" => "itempenyesuaianstok"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItempenyesuaianstokController();
            return $controller->edit($id);
        });
    }); */
    /* Route::group(["prefix" => "penerimaanbarang"], function () {
        Route::get("/create/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->create($request, $id);
        });
        Route::get("/generatePDF/{id}", function (Request $request, $ID) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->generatePDF($request, $ID);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->search($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->show($id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->store($request);
        });
    }); */
    Route::group(["prefix" => "lokasiitem"], function () {
        /* Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->create();
        }); */
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->show($id);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\LokasiitemController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "item"], function () {
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->search($request);
        });
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->paging($request);
        });
        Route::get("/{id},{kapalId}", function ($id, $kapalId) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->show($id, $kapalId);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->show($id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->store($request);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\ItemController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "stokkapal"], function () {
        // LOCALONLY
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->show($request, $id);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->update($request, $id);
        });  */
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->store($request);
        });
        /* Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\StokkapalController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "loginlog"], function () {
        /* Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->create();
        }); */
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->paging($request);
        });
        /* Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\LoginlogController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "roles"], function () {
        Route::get("/checkrole", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->checkrole($request);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->create($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->show($request, $id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\RolesController();
            return $controller->edit($request, $id);
        });
    });
    Route::group(["prefix" => "users"], function () {
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->create($request);
        });
        Route::get("/getListSubInv", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->getListSubInv($request);
        });
        Route::get("/getListRoles", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->getListRoles($request);
        });
        Route::get("/setpassword/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->setpassword($id);
        });
        Route::get("/activation", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->activation($request);
        });
        Route::post("/setpassword/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->updatepassword($request, $id);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\UsersController();
            return $controller->edit($request, $id);
        });
    });
    Route::group(["prefix" => "penggunaanbarang"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->create($request);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->search($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->store($request);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanbarangController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "penggunaanmakanan"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->create($request);
        });
        Route::get("/approval/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->approval($request, $id);
        });
        Route::post("/approval", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->saveApproval($request);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->search($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->store($request);
        });
        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\PenggunaanmakananController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "penerimaanmakanan"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/generateLotNumber", function () {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->generateLotNumber();
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->search($request);
        });

        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->create($request);
        });
        Route::get("/approval/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->approval($request, $id);
        });
        Route::post("/approval", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->saveApproval($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanmakananController();
            return $controller->store($request);
        });
    });
    Route::group(["prefix" => "adjustmentbbm"], function () {
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\AdjustmentbbmController();
            return $controller->create($request);
        });
        Route::get("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\AdjustmentbbmController();
            return $controller->show($request, $id);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\AdjustmentbbmController();
            return $controller->paging($request);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\AdjustmentbbmController();
            return $controller->store($request);
        });
    });
    Route::group(["prefix" => "rekapitulasimakan"], function () {
        Route::get("/generatePDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->rekapitulasiPDF($request);
        });
        Route::get("/stockcardPDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->stockcardPDF($request);
        });
        Route::get("/getVoyagesByDateRange", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyagesByDateRange($request);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->rekapitulasiReport($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->rekapitulasiPaging($request);
        });
    });
    Route::group(["prefix" => "bahanmakanan"], function () {
        Route::get("/getVoyagesByDateRange", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyagesByDateRange($request);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->bahanMakananReport($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->bahanMakananPaging($request);
        });
    });
    Route::group(["prefix" => "bbmminyak"], function () {
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->bbmminyakReport($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->bbmminyakPaging($request);
        });
    });
    Route::group(["prefix" => "bunker"], function () {
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->bunkerReport($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->bunkerPaging($request);
        });
    });
    Route::group(["prefix" => "stockcard"], function () {
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->stockcardReport($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->stockcardPaging($request);
        });
    });
    Route::group(["prefix" => "sparepart"], function () {
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->sparepartReport($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\ReportsController();
            return $controller->sparepartPaging($request);
        });
    });
    Route::group(["prefix" => "bbmbulan"], function () {
        Route::post("/generatePDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->generatePDFBulan($request);
        });
        Route::post("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->update($request, $id);
        });
        Route::get("/repopulate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->repopulateDataMonth($request);
        });
        Route::get("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->showBBMBulanReport($request, $id);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->showBBMReport($request);
        });
        Route::get("/kuncilaporan", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->kunciLaporan($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->pagingBulan($request);
        });
    });
    Route::group(["prefix" => "bbmvoyage"], function () {
        Route::post("/generatePDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->generatePDFVoyage($request);
        });
        Route::post("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->update($request, $id);
        });
        Route::get("/repopulate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->repopulateDataVoyage($request);
        });
        Route::get("/kuncilaporan", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->kunciLaporan($request);
        });
        Route::get("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->showBBMVoyageReport($request, $id);
        });
        Route::post("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->store($request);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->create($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\BbmController();
            return $controller->pagingVoyage($request);
        });
    });
    Route::group(["prefix" => "pelumasbulan"], function () {
        Route::post("/generatePDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->generatePDFBulan($request);
        });
        Route::post("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->update($request, $id);
        });
        Route::get("/repopulate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->repopulateDataMonth($request);
        });
        Route::get("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->showPelumasBulanReport($request, $id);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->showPelumasReport($request);
        });
        Route::get("/kuncilaporan", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->kunciLaporan($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->pagingBulan($request);
        });
    });
    Route::group(["prefix" => "pelumasvoyage"], function () {
        Route::post("/generatePDF", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->generatePDFVoyage($request);
        });
        Route::post("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->update($request, $id);
        });
        Route::get("/repopulate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->repopulateData($request);
        });
        Route::get("/kuncilaporan", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->kunciLaporan($request);
        });
        Route::get("/show/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->showPelumasVoyageReport($request, $id);
        });
        Route::post("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->store($request);
        });
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->create($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PelumasController();
            return $controller->pagingVoyage($request);
        });
    });
    Route::group(["prefix" => "pindahsubinv"], function () {
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->create($request);
        });
        Route::get("/gandroom/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->gandroomPDF($request, $id);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->search($request);
        });
        Route::get("/approval/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->approval($request, $id);
        });
        Route::post("/approval", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->saveApproval($request);
        });
        Route::get("/getSubInvTujuan", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->getSubInvTujuan($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->store($request);
        });

        /* Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->update($request, $id);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\PindahsubinvController();
            return $controller->edit($id);
        }); */
    });
    Route::group(["prefix" => "popenerimaan"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/generateLotNumber", function () {
            $controller = new \App\Http\Controllers\Administrator\PopenerimaanController();
            return $controller->generateLotNumber();
        });

        Route::get("/createpenerimaan/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->create($request, $id);
        });
        Route::get("/reportBarangMasuk/{id}", function (Request $request, $ID) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->reportBarangMasuk($request, $ID);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->search($request);
        });
        Route::get("/penerimaan/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangController();
            return $controller->store($request);
        });

        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PopenerimaanController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PopenerimaanController();
            return $controller->show($request, $id);
        });
        Route::get("/itempopenerimaan/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\ItempopenerimaanController();
            return $controller->show($request, $id);
        });
    });
    Route::group(["prefix" => "popenerimaanio"], function () {
        Route::get("/getVoyageDate", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyageDate($request);
        });
        Route::get("/getVoyages", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PermintaanbarangController();
            return $controller->getVoyages($request);
        });
        Route::get("/generateLotNumber", function () {
            $controller = new \App\Http\Controllers\Administrator\PopenerimaanController();
            return $controller->generateLotNumber();
        });

        Route::get("/createpenerimaanio/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->create($request, $id);
        });
        Route::get("/reportBarangMasuk/{id}", function (Request $request, $ID) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->reportBarangMasuk($request, $ID);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->search($request);
        });
        Route::get("/penerimaanio/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->show($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->store($request);
        });

        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PopenerimaanioController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PopenerimaanioController();
            return $controller->show($request, $id);
        });
    });
    /*  Route::group(["prefix" => "penerimaanbarangio"], function () {
        Route::get("/create/{id}", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->create($request, $id);
        });
        Route::get("/generatePDF/{id}", function (Request $request, $ID) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->generatePDF($request, $ID);
        });
        Route::get("/search", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->search($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->show($id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\PenerimaanbarangioController();
            return $controller->store($request);
        });
    }); */
    Route::group(["prefix" => "workflow"], function () {
        Route::get("/history", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\WorkflowController();
            return $controller->history($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Administrator\WorkflowController();
            return $controller->paging($request);
        });
    });
});
Route::group(["middleware" => "api", "prefix" => "api"], function () {

    Route::group(["prefix" => "itempindahstokkapal"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\ItempindahstokController();
            return $controller->edit($id);
        });
    });
    Route::group(["prefix" => "permintaanbarang"], function () {
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->create($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\PermintaanbarangController();
            return $controller->edit($id);
        });
    });
    Route::group(["prefix" => "item"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\ItemController();
            return $controller->edit($id);
        });
    });
    Route::group(["prefix" => "stokkapal"], function () {
        Route::get("/create", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->create($request);
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\StokkapalController();
            return $controller->edit($id);
        });
    });
    Route::group(["prefix" => "itempemakaianstok"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\ItempemakaianstokController();
            return $controller->edit($id);
        });
    });
    Route::group(["prefix" => "kapal"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\KapalController();
            return $controller->edit($id);
        });
    });


    Route::group(["prefix" => "penggunaanbarang"], function () {
        Route::get("/create", function () {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->create();
        });
        Route::get("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->paging($request);
        });
        Route::get("/{id}", function ($id) {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->show($id);
        });
        Route::put("/{id}/update", function (Request $request, $id) {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->update($request, $id);
        });
        Route::post("/", function (Request $request) {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->store($request);
        });
        Route::get("/{ids}/delete", function ($ids) {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->destroy($ids);
        });
        Route::get("/{id}/edit", function ($id) {
            $controller = new \App\Http\Controllers\Api\PenggunaanbarangController();
            return $controller->edit($id);
        });
    });
});
